com.jscape.inet.mft.management.descriptors

## Class AccountAuthorizationServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AccountAuthorizationServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class AccountAuthorizationServiceDescriptor
      extends ServiceDescriptor

  Account authorization service descriptor. The service described by this descriptor takes responsibility for blocking account if too many invalid authentication attempts appear.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_ATTEMPTS`
    `static long` | `DEFAULT_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountAuthorizationServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `AccountAuthorizationServiceDescriptor(AccountAuthorizationServiceDescriptor that)`
    `AccountAuthorizationServiceDescriptor(int maxAttempts, long maxTimeout, long restoringTimeout)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.mftserver.operation.connection.AttemptLimit` | `attemptLimit()`
    `Configuration` | `copy()`
    `int` | `getMaxAttempts()` Returns max authentication attempts value.
    `long` | `getMaxTimeout()` Returns authentication attempts timeout.
    `long` | `getRestoringTimeout()` Returns account restoring timeout.
    `void` | `setMaxAttempts(int value)` Sets max authentication attempts value.
    `void` | `setMaxTimeout(long value)` Sets authentication attempts timeout.
    `void` | `setRestoringTimeout(long value)` Sets account restoring timeout.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ATTEMPTS

          public static final int DEFAULT_ATTEMPTS

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AccountAuthorizationServiceDescriptor

          public AccountAuthorizationServiceDescriptor(int maxAttempts,
                                                       long maxTimeout,
                                                       long restoringTimeout)

      Creates a new descriptor instance.
      Parameters:
        `maxAttempts` - max authentication attempts
        `maxTimeout` - authentication timeout in ms
        `restoringTimeout` - restoring timeout in ms

    - #### AccountAuthorizationServiceDescriptor

          public AccountAuthorizationServiceDescriptor(AccountAuthorizationServiceDescriptor that)

    - #### AccountAuthorizationServiceDescriptor

          public AccountAuthorizationServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getMaxAttempts

          public int getMaxAttempts()

      Returns max authentication attempts value.
      Returns:
        max authentication attempts value

    - #### setMaxAttempts

          public void setMaxAttempts(int value)

      Sets max authentication attempts value.
      Parameters:
        `value` - max authentication attempts value

    - #### getMaxTimeout

          public long getMaxTimeout()

      Returns authentication attempts timeout.
      Returns:
        authentication attempts timeout in ms

    - #### setMaxTimeout

          public void setMaxTimeout(long value)

      Sets authentication attempts timeout.
      Parameters:
        `value` - authentication attempts timeout in ms

    - #### getRestoringTimeout

          public long getRestoringTimeout()

      Returns account restoring timeout.
      Returns:
        account restoring timeout in ms

    - #### setRestoringTimeout

          public void setRestoringTimeout(long value)

      Sets account restoring timeout.
      Parameters:
        `value` - account restoring timeut in ms

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### attemptLimit

          public com.jscape.inet.mftserver.operation.connection.AttemptLimit attemptLimit()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved